Summary:	A stand alone memory test for i386 architecture systems
Name:		memtest86+
Version:	4.20
Release:	%mkrel 3
License:	GPL
Source:		http://www.memtest.org/download/%{version}/%{name}-%{version}.tar.gz
# Temporal fix for 7th test failure
# Resolves: rhbz#805813
Patch:		memtest86+-4.20-gcc47-test7-workaround.patch
URL:		http://www.memtest.org
Group:		System/Kernel and hardware
BuildRequires:	dev86
Requires:	initscripts, drakxtools-backend >= 10-53mdk
ExclusiveArch:	%{ix86} x86_64
Obsoletes:	memtest86
Provides:	memtest86

%description
Memtest86+ is a thorough stand-alone memory test for x86 and x86_64 
architecture computers. BIOS based memory tests are only a quick 
check and often miss many of the failures that are detected by 
Memtest86+.

%prep
%setup -q 
%apply_patches

%build
%make

%install
install -m644 memtest.bin -D %{buildroot}/boot/memtest.bin

%post
if [ -x /usr/sbin/bootloader-config ]; then
    /usr/sbin/bootloader-config --action add-entry --label memtest --image /boot/memtest.bin
fi

%preun
if [ -x /usr/sbin/bootloader-config ]; then
    /usr/sbin/bootloader-config --action remove-entry --label memtest
fi

%files
%doc FAQ
/boot/memtest.bin


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.20-3.mga3
+ Revision: 359946
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dams <dams> 4.20-2.mga3
+ Revision: 326513
- add a patch to fix 7th test failure (from fedora #805813)
- clean spec file
- update %%description

* Thu Jan 27 2011 erwan <erwan> 4.20-1.mga1
+ Revision: 42181
- Fixing source path
- New release 4.20
- imported package memtest86+

